Subject: RE: nonlinear regressions

From: Tom Hawkins <[email-masked]>
Date: Tue, 2 May 2000 09:38:19 +0100

Thanks to those who suggested I fit y=ax^b to data points by logarithmic
transformation followed by a linear fit. Unfortunately my data can be
negative as well as positive.

This makes me wonder though, are there any standard 'pseudo-logarithmic'
transformations one can use in this case, that approximately preserve the
log(a^b) = b log a type relationship but can cope with negative data? I've
run into this problem in QSPR type work and wasn't sure how best to solve
it.

Yrs,

Dr Tom Hawkins             Osmetech plc
Sensor Technologist        Electra House, Electra Way, Crewe CW1 6WZ
[email-masked]   Tel +44(0)1270 216444 Fax +44(0)1270 216030